asn1_print_structure(3)

NAME
asn1_print_structure - API function

SYNOPSIS
#include <libtasn1.h>

void asn1_print_structure(FILE * out, asn1_node_const structure, const char * name, int mode);

ARGUMENTS

FILE * out
    pointer to the output file (e.g. stdout).

asn1_node_const structure
    pointer to the structure that you want to visit.

const char * name
    an element of the structure

int mode
    specify how much of the structure to print, can be ASN1_PRINT_NAME, ASN1_PRINT_NAME_TYPE, ASN1_PRINT_NAME_TYPE_VALUE, or ASN1_PRINT_ALL.

DESCRIPTION
Prints on the out file descriptor the structure's tree starting from the name element inside the structure structure .

COPYRIGHT
Copyright © 2006-2025 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libtasn1 is maintained as a Texinfo manual. If the info and libtasn1 programs are properly installed at your site, the command

    info libtasn1

should give you access to the complete manual. As an alternative you may obtain the manual from:

    https://www.gnu.org/software/libtasn1/manual/